//t1应该挂了，失败了
//白学六年OI了，真的要留下遗憾吗 
#include <bits/stdc++.h>
#define ll long long
#define M 100005
#define mod 1000000007
using namespace std;

int T;
ll n, m, v, ans;
ll c[M], d[M];

int main ()
{
	freopen ("assign.in", "r", stdin);
	freopen ("assign.out", "w", stdout);
	scanf ("%d", &T);
	while (T --)
	{
		scanf ("%lld%lld%lld", &n, &m, &v);
		for (int i = 1; i <= m; ++ i)
			scanf ("%lld%lld", &c[i], &d[i]);
		
	} 
	return 0;
}
